For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
      • GETList Recurring Grants
      • POSTCreate Recurring Grant
      • GETGet Recurring Grant
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
DAFpayRecurring Grants

Get Recurring Grant

GET
/v1/recurring_grants/:id
GET
/v1/recurring_grants/:id
$curl https://api.givechariot.com/v1/recurring_grants/10229488-08d2-4629-b70c-a2f4f4d25344 \
> -H "Authorization: Bearer <token>"
1{
2 "id": "1e60800e-849b-43d1-870e-57afc8d75473",
3 "workflowSessionId": "cfe09e64-6a74-4dab-a565-361185a6f248",
4 "fundId": "daf-id",
5 "frequency": "MONTHLY",
6 "amount": 15000,
7 "createdAt": "2021-08-10 15:00:00.000",
8 "updatedAt": "2021-08-11 15:34:00.000"
9}
Retrieve a recurring grant with a given ID.
Was this page helpful?
Previous

List Unintegrated Grants

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique id of the recurring grant. The format should be a v4 UUID according to RFC 4122.

Response

OK
idstringRead-onlyformat: "uuid"
The unique identifier for the object
workflowSessionIdstringRead-onlyformat: "uuid"
ID of the Connect Workflow Session associated with this grant
fundIdstringRead-only
ID of the donor advised fund
frequencyenum
How often the DAF provider will submit the recurring grant. At the moment, monthly is the only supported frequency.
Allowed values:
amountdouble
The grant amount expressed in units of whole cents
trackingIdstringRead-only
The tracking ID for the grant
externalRecurringGrantIdstring
ID of the grant associated with the donor advised fund
createdAtstringRead-onlyformat: "date-time"

Time when this object was created; expressed in RFC 3339 format

updatedAtstringRead-onlyformat: "date-time"

Time when this object was last updated; expressed in RFC 3339 format

firstNamestring
The donor's first name
lastNamestring
The donor's last name
phonestring
The donor's phone number
emailstring
The donor's email
notestring
An note inputted by the user at submisson
addressobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error